package pl.ivend.pg2oracle.work;

public final class ColumnType {

	public enum Typ {
		UNKNOWN, NUMBER, CHAR, VARCHAR, CLOB, BLOB, DATE, TIMESTAMP
	}

	private Typ type;
	private Integer dataLength;
	private Integer numericPrecision;
	private Integer numericScale;
	private String defaultValue;

	public Typ getType() {
		return type;
	}

	public void setType(Typ type) {
		this.type = type;
	}

	public Integer getDataLength() {
		return dataLength;
	}

	public void setDataLength(Integer dataLength) {
		this.dataLength = dataLength;
	}

	public Integer getNumericPrecision() {
		return numericPrecision;
	}

	public void setNumericPrecision(Integer numericPrecision) {
		this.numericPrecision = numericPrecision;
	}

	public Integer getNumericScale() {
		return numericScale;
	}

	public void setNumericScale(Integer numericScale) {
		this.numericScale = numericScale;
	}

	public String getDefaultValue() {
		return defaultValue;
	}

	public void setDefaultValue(String defaultValue) {
		this.defaultValue = defaultValue;
	}

}
