package pl.ivend.pg2oracle.work;

import java.util.List;

public final class ConstraintDescription {

	private String schemaName;
	private String tableName;
	private String name;
	private ConstraintType type;
	private List<String> keyList;
	private List<ConstraintReference> referenceList;

	public String getSchemaName() {
		return schemaName;
	}

	public void setSchemaName(String schemaName) {
		this.schemaName = schemaName;
	}

	public String getTableName() {
		return tableName;
	}

	public void setTableName(String tableName) {
		this.tableName = tableName;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public ConstraintType getType() {
		return type;
	}

	public void setType(ConstraintType type) {
		this.type = type;
	}

	public List<String> getKeyList() {
		return keyList;
	}

	public void setKeyList(List<String> keyList) {
		this.keyList = keyList;
	}

	public List<ConstraintReference> getReferenceList() {
		return referenceList;
	}

	public void setReferenceList(List<ConstraintReference> referenceList) {
		this.referenceList = referenceList;
	}

}
