package pl.ivend.pg2oracle.work.exception;

import pl.ivend.pg2oracle.work.ColumnType;

public final class ColumnTypeException extends RuntimeException {

	private static final long serialVersionUID = 1L;

	public ColumnTypeException(ColumnType columnType) {
		super(prepareDescription(columnType));
	}

	private static String prepareDescription(ColumnType columnType) {
		StringBuilder sb = new StringBuilder();
		sb.append("Nieobsługiwany typ kolumny: ");
		sb.append(columnType);
		return sb.toString();
	}

}
