package pl.ivend.pg2oracle.work.exception;

import pl.ivend.pg2oracle.work.DatabaseType;

public final class DatabaseTypeException extends RuntimeException {

	private static final long serialVersionUID = 1L;

	public DatabaseTypeException(DatabaseType databaseType) {
		super(prepareDescription(databaseType));
	}

	private static String prepareDescription(DatabaseType databaseType) {
		StringBuilder sb = new StringBuilder();
		sb.append("Nieobsługiwany typ bazy: ");
		sb.append(databaseType);
		return sb.toString();
	}

}
