package pl.ivend.pg2oracle.work.util;

import java.util.List;

import pl.ivend.pg2oracle.work.DatabaseType;

public final class ConvParameters {

	private DatabaseType databaseType;
	private String columnType;
	private Integer dataLength;
	private Integer numericPrecision;
	private Integer numericScale;
	private String defaultValue;
	private List<String> replacesTextDefault;

	public DatabaseType getDatabaseType() {
		return databaseType;
	}

	public void setDatabaseType(DatabaseType databaseType) {
		this.databaseType = databaseType;
	}

	public String getColumnType() {
		return columnType;
	}

	public void setColumnType(String columnType) {
		this.columnType = columnType;
	}

	public Integer getDataLength() {
		return dataLength;
	}

	public void setDataLength(Integer dataLength) {
		this.dataLength = dataLength;
	}

	public Integer getNumericPrecision() {
		return numericPrecision;
	}

	public void setNumericPrecision(Integer numericPrecision) {
		this.numericPrecision = numericPrecision;
	}

	public Integer getNumericScale() {
		return numericScale;
	}

	public void setNumericScale(Integer numericScale) {
		this.numericScale = numericScale;
	}

	public String getDefaultValue() {
		return defaultValue;
	}

	public void setDefaultValue(String defaultValue) {
		this.defaultValue = defaultValue;
	}

	public List<String> getReplacesTextDefault() {
		return replacesTextDefault;
	}

	public void setReplacesTextDefault(List<String> replacesTextDefault) {
		this.replacesTextDefault = replacesTextDefault;
	}

}
